Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ItemArmor

    java.lang.Object
      net.minecraft.src.Item
          net.minecraft.src.ItemArmor

    public class ItemArmor

extends Item

Field Summary
`int` | `armorType` Stores the armor type: 0 is helmet, 1 is plate, 2 is legs and 3 is boots
`int` | `damageReduceAmount` Holds the amount of damage that the armor reduces at full durability.
`int` | `renderIndex` Used on RenderPlayer to select the correspondent armor to be rendered on the player: 0 is cloth, 1 is chain, 2 is iron, 3 is diamond and 4 is gold.

Fields inherited from class net.minecraft.src.Item
`appleGold, appleRed, arrow, axeDiamond, axeGold, axeSteel, axeStone, axeWood, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsLeather, bootsSteel, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, cauldron, chickenCooked, chickenRaw, clay, coal, compass, cookie, diamond, doorSteel, doorWood, dyePowder, egg, emerald, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, field_82791_bT, field_82792_bS, field_82793_bR, field_82794_bL, field_82795_bM, field_82796_bJ, field_82797_bK, field_82798_bP, field_82799_bQ, field_82800_bN, field_82801_bO, field_82802_bI, fireballCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, ghastTear, glassBottle, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetLeather, helmetSteel, hoeDiamond, hoeGold, hoeSteel, hoeStone, hoeWood, ingotGold, ingotIron, isDefaultTexture, itemsList, leather, legsChain, legsDiamond, legsGold, legsLeather, legsSteel, lightStoneDust, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartPowered, monsterPlacer, netherStalkSeeds, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeSteel, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateLeather, plateSteel, pocketSundial, porkCooked, porkRaw, potion, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shiftedIndex, shovelDiamond, shovelGold, shovelSteel, shovelStone, shovelWood, sign, silk, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordSteel, swordStone, swordWood, wheat, writableBook, writtenBook`

Constructor Summary
`ItemArmor(int par1, EnumArmorMaterial par2EnumArmorMaterial, int par3, int par4)`

Method Summary
`boolean` | `func_82789_a(ItemStack par1ItemStack, ItemStack par2ItemStack)`
`int` | `func_82790_a(ItemStack par1ItemStack, int par2)`
`EnumArmorMaterial` | `func_82812_d()`
`void` | `func_82813_b(ItemStack par1ItemStack, int par2)`
`int` | `func_82814_b(ItemStack par1ItemStack)`
`void` | `func_82815_c(ItemStack par1ItemStack)`
`boolean` | `func_82816_b_(ItemStack par1ItemStack)`
`int` | `getIconFromDamageForRenderPass(int par1, int par2)`
`int` | `getItemEnchantability()` Return the enchantability factor of the item, most of the time is based on material.
`boolean` | `requiresMultipleRenderPasses()`

Methods inherited from class net.minecraft.src.Item
`addInformation, canHarvestBlock, createEntity, doesContainerItemLeaveCraftingGrid, func_77653_i, func_82788_x, getContainerItem, getContainerItemStack, getCreativeTab, getDamageVsEntity, getEntityLifespan, getHasSubtypes, getIconFromDamage, getIconIndex, getIconIndex, getItemDisplayName, getItemName, getItemNameIS, getItemStackLimit, getItemUseAction, getLocalItemName, getMaxDamage, getMaxItemUseDuration, getMetadata, getPotionEffect, getRarity, getRenderPasses, getShareTag, getStatName, getStrVsBlock, getStrVsBlock, getSubItems, getTextureFile, hasContainerItem, hasCustomEntity, hasEffect, hitEntity, isDamageable, isFull3D, isItemTool, isMap, isPotionIngredient, isRepairable, itemInteractionForEntity, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onFoodEaten, onItemRightClick, onItemUse, onItemUseFirst, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingItemTick, setContainerItem, setCreativeTab, setFull3D, setIconCoord, setIconIndex, setItemName, setMaxDamage, setMaxStackSize, setNoRepair, setTextureFile, shouldRotateAroundWhenRendering`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### armorType

    public final int armorType

  Stores the armor type: 0 is helmet, 1 is plate, 2 is legs and 3 is boots

### damageReduceAmount

    public final int damageReduceAmount

  Holds the amount of damage that the armor reduces at full durability.

### renderIndex

    public final int renderIndex

  Used on RenderPlayer to select the correspondent armor to be rendered on the player: 0 is cloth, 1 is chain, 2 is iron, 3 is diamond and 4 is gold.

Constructor Detail

### ItemArmor

    public ItemArmor(int par1,
                     EnumArmorMaterial par2EnumArmorMaterial,
                     int par3,
                     int par4)

Method Detail

### func_82790_a

    public int func_82790_a(ItemStack par1ItemStack,
                            int par2)

  Overrides:
    `func_82790_a` in class `Item`

### requiresMultipleRenderPasses

    public boolean requiresMultipleRenderPasses()

  Overrides:
    `requiresMultipleRenderPasses` in class `Item`

### getItemEnchantability

    public int getItemEnchantability()

  Return the enchantability factor of the item, most of the time is based on material.

  Overrides:
    `getItemEnchantability` in class `Item`

### func_82812_d

    public EnumArmorMaterial func_82812_d()

### func_82816_b_

    public boolean func_82816_b_(ItemStack par1ItemStack)

### func_82814_b

    public int func_82814_b(ItemStack par1ItemStack)

### getIconFromDamageForRenderPass

    public int getIconFromDamageForRenderPass(int par1,
                                              int par2)

  Overrides:
    `getIconFromDamageForRenderPass` in class `Item`

### func_82815_c

    public void func_82815_c(ItemStack par1ItemStack)

### func_82813_b

    public void func_82813_b(ItemStack par1ItemStack,
                             int par2)

### func_82789_a

    public boolean func_82789_a(ItemStack par1ItemStack,
                                ItemStack par2ItemStack)

  Overrides:
    `func_82789_a` in class `Item`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD